View Issue Details

IDProjectCategoryView StatusLast Update
0013404LazarusLCLpublic2010-11-18 16:08
ReporterWimpie NortjeAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.26Product Build 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0013404: StringGrid: Text in 2nd fixed row gets overwritten
DescriptionIf FixedRows := 2, the second fixed row sometimes gets filled with its own (correct) text and with the last invisible row's text on top of each other.

To reproduce:
Have a grid with FixedRows:=2 and enough data in the other rows to show the vertical scrollbar.
Drag the scrollbar so that the first row is about 98% hidden. The horizontal line with the next row should almost touch the bottom of the last fixed row. The last fixed row will now be filled with its own text and that of the first hidden row.
Tagsgrids
Fixed in Revision27549
LazTarget0.9.30
WidgetsetGTK
Attached Files

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2009-03-27 06:52 Wimpie Nortje New Issue
2009-03-27 06:52 Wimpie Nortje Widgetset => GTK
2009-03-27 14:43 Jesus Reyes Status new => assigned
2009-03-27 14:43 Jesus Reyes Assigned To => Jesus Reyes
2010-03-15 04:24 Jesus Reyes Tag Attached: grids
2010-10-02 21:40 Jesus Reyes Fixed in Revision => 27549
2010-10-02 21:40 Jesus Reyes LazTarget => 0.9.30
2010-10-02 21:40 Jesus Reyes Status assigned => resolved
2010-10-02 21:40 Jesus Reyes Fixed in Version => 0.9.29 (SVN)
2010-10-02 21:40 Jesus Reyes Resolution open => fixed
2010-10-02 21:40 Jesus Reyes Target Version => 0.9.30
2010-11-18 16:08 Wimpie Nortje Status resolved => closed